Subject: BOUNCE [email-masked]: Non-member submission from ["Wijnen, Bert (Bert)" <[email-masked]>] (fwd)

From: [email-masked]
Date: Wed, 13 Nov 2002 10:18:02 -0500 (EST)

APPROVED: steve.pass
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Subject: RE: Input solicited: IETF problem pinpointing at the plenary?
Date: Wed, 13 Nov 2002 10:59:04 +0100

Thanks for this report David.
That is good news.
Of course you were very lucky with one of the best MIB
Advisor we can think of in the IETF. ANd I know he was
motivated to get good MIB modules in this technology area.

I also thank you for pointing out that indeed the WG chairs
play an important role in this in that they must motivate the
WG that the "management part" of the work is as important
as the protocol itself.

I would also like to take this opportunity to encoureg WG chairs
to contact me (or the OPS ADs in general) and/or your own AD
to ask for MIB advisor help if such is needed. It is a scarce
resource, but we will try to find help.

Thanks,
Bert

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: woensdag 13 november 2002 3:09
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: Input solicited: IETF problem pinpointing at the plenary?
>
>
> > Here is input from a SNMP/MIB contributor. Not a WG chair though.
> > I bet there are WG chairs that will recognize this and probably
> > some will have additional input.
>
> Actually, I have some good news to report about work in which
> this pattern is *not* recognizable.
>
> > 1. MIB modules must be available early in the life cycle of a new
> >    technology in order to get implemented. Trying to standardize MIB
> >    modules after vendors have developed and deployed proprietary
> >    versions is a waste of time.
> >
> > 2. MIB modules are sometimes not of prime interest in WGs
> and as such
> >    there is little support in terms of meeting time, chairs pushing
> >    things forward, deep technical review by the subject experts, ...
>
> The IP Storage WG (ips) is close to finishing its current program of
> work.  We've produced 4 major protocols (iSCSI, FCIP, iFCP, iSNS) and
> a total of 7 MIBs, in parallel.  The MIBs and their protocols
> tended to
> get done around the same time.  In many cases we had to hold up WG
> Last Call of the MIB just in case the corresponding protocol WG Last
> Call generated changes that affected the MIB.  I hear talk of putting
> one or more of our protocols into IETF Last Call at the same time as
> its MIB(s) to set an example.
>
> Some things that helped:
>
> - IPS used a technical coordinator structure beneath the WG co-chairs.
> 	Each technical coordinator was asked to take responsibility
> 	for ensuring that everything else needed to make the protocol
> 	useful would be complete when the protocol was, starting with
> 	the MIBs ... they did as asked, and deserve a lot of credit.
> - A good MIB doctor with time and patience was an immense help.  I
> 	don't know how we'd have completed as many MIBs in the time we
> 	did without Keith McCloghrie's support.
> - WG chair interest and support makes a big difference.
> - Between the above, it became part of the ips wg environment that
> 	development of the protocol and its MIB at the same time was
> 	expected - nobody seriously considered protocol development
> 	w/o MIB development in the WG.
>
> So, it can be done, but it took a lot of work from a lot of people
> (those noted above, as well as the MIB authors who undertook
> the work).
>
> FYI/Thanks,
> --David (ips wg co-chair, Elizabeth Rodriguez is the other co-chair)
>
> ----------------------------------------------------
> David L. Black, Senior Technologist
> EMC Corporation, 176 South St., Hopkinton, MA  01748
> +1 (508) 293-7953 **NEW**     FAX: +1 (508) 293-7786
> [email-masked]        Mobile: +1 (978) 394-7754
> ----------------------------------------------------
>